cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/invoice_terms/1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"invoice_term": {
"display_name": "Net one month (AU)",
"description": "Due one month after issue"
}
}'from exsited import build_client
client = build_client()
response = client.invoice_terms.update_settings_invoice_term(
"1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"invoice_term": {
"display_name": "Net one month (AU)",
"description": "Due one month after issue",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.invoiceTerms.updateSettingsInvoiceTerm('1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
invoice_term: {display_name: 'Net one month (AU)', description: 'Due one month after issue'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->invoiceTerms->updateSettingsInvoiceTerm('1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'invoice_term' => [
'display_name' => 'Net one month (AU)',
'description' => 'Due one month after issue',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.invoice_terms.invoice_terms_dto.InvoiceTermsDto.SettingsInvoiceTermWrite;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsInvoiceTermWrite> response = client.invoiceTerms().updateSettingsInvoiceTerm(
"1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"invoice_term", Map.of(
"display_name", "Net one month (AU)",
"description", "Due one month after issue")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.InvoiceTerms.UpdateSettingsInvoiceTermAsync(
"1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["invoice_term"] = new Dictionary<string, object?>
{
["display_name"] = "Net one month (AU)",
["description"] = "Due one month after issue",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.invoiceTerms.updateSettingsInvoiceTerm(
'1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'invoice_term': {
'display_name': 'Net one month (AU)',
'description': 'Due one month after issue',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.InvoiceTerms().UpdateSettingsInvoiceTerm(context.Background(), "1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"invoice_term": map[string]any{
"display_name": "Net one month (AU)",
"description": "Due one month after issue",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"invoice_term": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>"
}
}Invoice terms
Update an invoice term
Changes the fields of an invoice term, or enables or disables it, and returns it under invoice_term.
PATCH
/
settings
/
invoice_terms
/
{invoice_term_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/invoice_terms/1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"invoice_term": {
"display_name": "Net one month (AU)",
"description": "Due one month after issue"
}
}'from exsited import build_client
client = build_client()
response = client.invoice_terms.update_settings_invoice_term(
"1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"invoice_term": {
"display_name": "Net one month (AU)",
"description": "Due one month after issue",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.invoiceTerms.updateSettingsInvoiceTerm('1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
invoice_term: {display_name: 'Net one month (AU)', description: 'Due one month after issue'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->invoiceTerms->updateSettingsInvoiceTerm('1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'invoice_term' => [
'display_name' => 'Net one month (AU)',
'description' => 'Due one month after issue',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.invoice_terms.invoice_terms_dto.InvoiceTermsDto.SettingsInvoiceTermWrite;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsInvoiceTermWrite> response = client.invoiceTerms().updateSettingsInvoiceTerm(
"1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"invoice_term", Map.of(
"display_name", "Net one month (AU)",
"description", "Due one month after issue")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.InvoiceTerms.UpdateSettingsInvoiceTermAsync(
"1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["invoice_term"] = new Dictionary<string, object?>
{
["display_name"] = "Net one month (AU)",
["description"] = "Due one month after issue",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.invoiceTerms.updateSettingsInvoiceTerm(
'1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'invoice_term': {
'display_name': 'Net one month (AU)',
'description': 'Due one month after issue',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.InvoiceTerms().UpdateSettingsInvoiceTerm(context.Background(), "1b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"invoice_term": map[string]any{
"display_name": "Net one month (AU)",
"description": "Due one month after issue",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"invoice_term": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>"
}
}Send the fields to change under
invoice_term. Send status to enable or disable it. The response is flat, with period and an integer duration, where a read nests them under duration.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The invoice term's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated invoice term, under invoice_term.
Show child attributes
Show child attributes